LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (http://www.linuxquestions.org/questions/linux-software-2/)
-   -   Gaim crashes on startup (http://www.linuxquestions.org/questions/linux-software-2/gaim-crashes-on-startup-370772/)

kidicarus 10-07-2005 07:07 PM

Gaim crashes on startup
 
Greetings. Everytime I try and start gaim I get:
"Gaim has segfaulted and attempted to dump a core file.
This is a bug in the software and has happened through
no fault of your own.

It is possible that this bug is already fixed in CVS.
If you can reproduce the crash, please notify the gaim
maintainers by reporting a bug at
http://gaim.sourceforge.net/bug.php

Please make sure to specify what you were doing at the time,
and post the backtrace from the core file. If you do not know
how to get the backtrace, please get instructions at
http://gaim.sourceforge.net/gdb.php. If you need further
assistance, please IM either RobFlynn or SeanEgn and
they can help you.
Aborted"

I'm starting to think that it was a fault of my own, as I have tried Gaim 1.5.0, 1.3.1, 1.3.0, and 1.0.0, and they all put out the same error messages. It goes through configure, make, make install, detects glib, sound, etc., installs, but it will not start. Since the problem happens with several versions on startup alone I decided not to go the "submit" a bug route as it might be a configuration with my system.

I'm using a newly installed Red Hat 7.3 (and I have gotten gaim 1.0+ working before on red hat), and the gtk software I used this time are:
atk-1.8.0
glib-2.4.8
gtk+-2.4.14
pango-1.4.1
I upgraded fontconfig and xft accordingly like I always have.

The only problem I think this might be is that I couldn't remember what exactly to install for sound support, so I installed:
audiofile-0.2.6
libao-0.8.6

Could it be that arts or something is causing gaim to crash? I know GTK works, because I can start the demo. I also put this in .bash_profile (otherwise i can't get through ./configure with gaim):
PATH=$PATH:$HOME/bin
export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/usr/local/lib/pkgconfig
LD_LIBRARY_PATH=/usr/local/lib:/lib:/usr/lib:/usr/X11R6/lib
export LD_LIBRARY_PATH
CPPFLAGS="-I/usr/local/lib/gtk-2.0/include"
LDFLAGS="-L/usr/local/lib/"

export CPPFLAGS LDFLAGS

Does that look correct? Like I said some other gtk 2.4 related programs seem to be working.

Gaim has always at least started for me after starting, so I really haven't a clue what's going on.


All times are GMT -5. The time now is 05:05 AM.